Arch MeshToShape/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{docnav/sv |Split Mesh |Select non-solid meshes |Arch |IconL=Arch_SplitMesh.svg |IconC=Workbench_Arch.svg |Ic...")
Line 1: Line 1:
<languages/>
<languages/>
{{docnav
{{docnav/sv
|[[Arch_SplitMesh|Split Mesh]]
|[[Arch_SplitMesh|Split Mesh]]
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]

Revision as of 17:46, 1 February 2020

Arch MeshToShape

Menyplacering
Arch → Utilities → Mesh to Shape
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch RemoveShape

Beskrivning

This tool converts a selected Mesh object into a Shape object. Note that this tool is optimized for objects with flat faces (no curves). The corresponding tool from the Part Workbench might be more suited for objects that contain curved surfaces.

Usage

  1. Select a mesh object.
  2. Press the Mesh to Shape entry in Arch → Utilities → Mesh to Shape.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Turns the given obj, a mesh, into a shape, joining coplanar facets.
  • If mark is True, non-solid objects will be marked in red.
  • If fast is True it uses a faster algorithm by building a shell from the facets then removing splitter.
  • tol is the tolerance used when converting mesh segments to wires.
  • If flat is True it will force the wires to be perfectly planar, to be sure they can be turned into faces, but this might leave gaps in the final shell.
  • If cut is True holes in faces are made by subtraction.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)